summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-14 12:39:33 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-05-14 12:39:33 +0000
commit6f0a284d3e882f261a4e7a0feb784fb384a16f3f (patch)
tree60d757536dcb1b48bedc5fa3bde5048a37b1ed44 /dev-python
parent1b15e182904bef0fce2ac462ca083f630c0bf6ab (diff)
downloadbaldeagleos-repo-6f0a284d3e882f261a4e7a0feb784fb384a16f3f.tar.gz
baldeagleos-repo-6f0a284d3e882f261a4e7a0feb784fb384a16f3f.tar.xz
baldeagleos-repo-6f0a284d3e882f261a4e7a0feb784fb384a16f3f.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-13.11.1.ebuild34
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/alabaster/alabaster-0.7.12-r1.ebuild17
-rw-r--r--dev-python/anyio/Manifest1
-rw-r--r--dev-python/anyio/anyio-3.6.1.ebuild50
-rw-r--r--dev-python/astroid/Manifest1
-rw-r--r--dev-python/astroid/astroid-2.11.5.ebuild59
-rw-r--r--dev-python/booleanOperations/booleanOperations-0.9.0-r1.ebuild4
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.23.0.ebuild65
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.26.0.ebuild70
-rw-r--r--dev-python/bottle/bottle-0.12.19-r1.ebuild2
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.60.0.ebuild54
-rw-r--r--dev-python/defcon/defcon-0.10.1.ebuild2
-rw-r--r--dev-python/docutils/Manifest1
-rw-r--r--dev-python/docutils/docutils-0.17.1-r1.ebuild77
-rw-r--r--dev-python/docutils/docutils-0.18.1-r1.ebuild (renamed from dev-python/docutils/docutils-0.16-r1.ebuild)27
-rw-r--r--dev-python/docutils/files/docutils-0.16-tests.patch66
-rw-r--r--dev-python/docutils/files/docutils-0.18.1-py311.patch135
-rw-r--r--dev-python/fasteners/fasteners-0.17.3.ebuild2
-rw-r--r--dev-python/filelock/Manifest1
-rw-r--r--dev-python/filelock/filelock-3.7.0.ebuild35
-rw-r--r--dev-python/imagesize/imagesize-1.3.0-r1.ebuild23
-rw-r--r--dev-python/moto/Manifest1
-rw-r--r--dev-python/moto/moto-3.1.9.ebuild88
-rw-r--r--dev-python/nototools/nototools-0.2.16.ebuild4
-rw-r--r--dev-python/nuitka/nuitka-0.7.7.ebuild2
-rw-r--r--dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild2
-rw-r--r--dev-python/pydecomp/pydecomp-0.3-r3.ebuild2
-rw-r--r--dev-python/pydecomp/pydecomp-9999.ebuild2
-rw-r--r--dev-python/pylint/Manifest1
-rw-r--r--dev-python/pylint/pylint-2.13.9.ebuild82
-rw-r--r--dev-python/python-bugzilla/python-bugzilla-3.2.0-r1.ebuild33
-rw-r--r--dev-python/python-ldap/Manifest1
-rw-r--r--dev-python/python-ldap/files/python-ldap-3.4.0-openldap-2.6.patch33
-rw-r--r--dev-python/python-ldap/python-ldap-3.4.0-r1.ebuild97
-rw-r--r--dev-python/python-ldap/python-ldap-3.4.0_p20220420.ebuild96
-rw-r--r--dev-python/python-ldap/python-ldap-9999.ebuild8
-rw-r--r--dev-python/python-magic/python-magic-0.4.25.ebuild15
-rw-r--r--dev-python/snowballstemmer/snowballstemmer-2.2.0-r1.ebuild18
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.36.ebuild4
-rw-r--r--dev-python/sure/sure-2.0.0-r1.ebuild37
-rw-r--r--dev-python/whoosh/whoosh-2.7.4-r2.ebuild35
45 files changed, 1194 insertions, 97 deletions
diff --git a/dev-python/Faker/Faker-13.11.1.ebuild b/dev-python/Faker/Faker-13.11.1.ebuild
new file mode 100644
index 000000000000..4cc93b2fe0c6
--- /dev/null
+++ b/dev-python/Faker/Faker-13.11.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index a433f323cf7b..ba621a2bc269 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,3 +1,4 @@
DIST Faker-13.11.0.tar.gz 1500499 BLAKE2B 41fdda0cbe46a82fca75d49894f4543ba6e2e0f727d581c1214daa2f6bfbab2c11c3489bdbb349047038583687e177295d8fa0690f288b9fe0878deeb55a012f SHA512 74acf9d05a769851217f8a05a3ef84ac95af2b5c4292f05ff7f8be2670de9815074dc3fddb8d88170568910c0c4f2764d4ee61ccba5743071d9cf48f52520216
+DIST Faker-13.11.1.tar.gz 1501239 BLAKE2B 1ccf33e7a054d33921696ea917670fc0ff88c0b805700b32d9d4e5ed3b12d6e52ea164f762600315370eed06415e70923002b99f0c32fa9cd40cdeb437e338c0 SHA512 291517669143119099ac6bcc69a08091fb156728c465198079f764996849d8416ccaf169e1cf0d0dd02d99b2090494084dad7fdef9dfd2702411701bf71f54b5
DIST Faker-13.6.0.tar.gz 1488090 BLAKE2B 9b4485fc97b0c22f9cce298a55e9dd91c05ea9a56514618c1355c420f3ce6beaa599caa51d909803e968ab918c4c841f459da3d06dd78fbfe984d22b323e2cbe SHA512 bcfb49777640f9b605e164b91380aee77206614f055a321b905ead1649219c081254e57ea80045dd692d061e53e69201ad356daaf6727655c87d65b16752c4cc
DIST Faker-13.7.0.tar.gz 1489106 BLAKE2B 8b12782b836915f83d4a05cf735d0e00544d67af595239535822842bcd8a5b08ee43d6f0ab17a813cbda194874cfc3d5a983e018a6655dfe84f9a5151562db8f SHA512 84299a5a8f4fb01bad2eb337627878ad54a835a79e6573300435e19b1d9b6945a2e67260ea6c9a8db586657e11b4a4c5f25f83c170430162aeb37f87cc0f5f4c
diff --git a/dev-python/alabaster/alabaster-0.7.12-r1.ebuild b/dev-python/alabaster/alabaster-0.7.12-r1.ebuild
new file mode 100644
index 000000000000..9db63e06b2ca
--- /dev/null
+++ b/dev-python/alabaster/alabaster-0.7.12-r1.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A configurable sidebar-enabled Sphinx theme"
+HOMEPAGE="https://github.com/bitprophet/alabaster"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 649b535674dc..f5e33716864f 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1 +1,2 @@
DIST anyio-3.5.0.tar.gz 136934 BLAKE2B 422d604c23658844467926f42c09895e54debfd3ddf2f7fa561eccae0c9cbc225f51d663cb9f98a2455736ad7a81eb4ae40a6f3ad66f3d2f0b02d0a5157203e0 SHA512 b91124c95d194eb7e4542405a973895d21562a2636d9600d528465da52536d1ffedbf5a6fc3ea5b1ff3e83e7dca2b42f090bb2ff6b077e32f5a2c314f07d3206
+DIST anyio-3.6.1.tar.gz 140240 BLAKE2B 391892591bee88df8fd5c099b6670af8e01af0610f7659e2f2e717c2dfd94d6e5212260acf3acca6c8b149cab6781044fb665d579a63b322332bf87767374858 SHA512 99ae55eada2df971405a1592afd980ac964c80a4502465a2016423182409691d0c943280a3a7448efc78036e481614451585238b62ebea924709f0ba888f7604
diff --git a/dev-python/anyio/anyio-3.6.1.ebuild b/dev-python/anyio/anyio-3.6.1.ebuild
new file mode 100644
index 000000000000..c2bcc864b9b4
--- /dev/null
+++ b/dev-python/anyio/anyio-3.6.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+ https://github.com/agronholm/anyio/
+ https://pypi.org/project/anyio/
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+"
+# On amd64, let's get more test coverage by dragging in uvloop, but let's
+# not bother on other arches where uvloop may not be supported.
+BDEPEND="
+ test? (
+ >=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ amd64? (
+ $(python_gen_cond_dep '
+ >=dev-python/uvloop-0.15[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx_rtd_theme \
+ dev-python/sphinx-autodoc-typehints
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m 'not network'
+}
diff --git a/dev-python/astroid/Manifest b/dev-python/astroid/Manifest
index ac544bc78407..3eda660ee52c 100644
--- a/dev-python/astroid/Manifest
+++ b/dev-python/astroid/Manifest
@@ -1,4 +1,5 @@
DIST astroid-2.11.2.tar.gz 412621 BLAKE2B e43be65b733a5de5d027920e8e4db0365a3af98614739f0a56dcf95ef6c1c3a9e104b52c1fad4477bccd460850cf6bab6f38014aaa6891e8d04720d4a52b79d8 SHA512 5b33cb3594513804c6933a888297ed54c42cb52274c7fe49060368e3fac62be8f3febcb822aa9267a5a0a99a32932912ebc4640a7d10288b7021955fe0277c0d
DIST astroid-2.11.3.tar.gz 413237 BLAKE2B 0758e0a2069e969e1509d0935883f1deba6b3c55af0edcb3146be7dd39eab40e9a71ef517c5114c49c191f545da73340d074df1cc107094c6450f9d2448932db SHA512 ea215a4fee747ab49735d3b8a084500b9127c831f0a737d6610128211750920e68741dc888d8d799422636b7acb014e1a1f3f629db87c445781c4cfaf57dd062
DIST astroid-2.11.4.tar.gz 414075 BLAKE2B 7bbe956b1ed577bf6be97f89ed3e1c5f3f516d549339010e711d43bf61f9f23e18e04c57165742e22e2bea9dce8766ba5b573749627eeeeda2a133610d73dfb5 SHA512 dbe0dd34008f56b117c12133a6f3b9f940f6cebd4d19019396efe0d060ac7f4a28e56193fa16d30748dfc316e8cda1b8fcad8574dfb2698430e0f1d3622681c4
+DIST astroid-2.11.5.tar.gz 414503 BLAKE2B 3bdd93c8c958dc8ede9b5c4b0d01399578c1c8824c511aa6697e6653ef6caec2e2597a862e03a72fc0dc6d0bc63d327a0cf4b62b9632604e9b8485f84512b5b2 SHA512 6b6d1e35b95c68d7219534ceda6e2802cc6f2d9cd9bed6a880eaf0937dfb288d9fb58dac9be33072f4676a568f778eb26a78f447d4a44842a98d8677e151e1bb
DIST astroid-2.9.3.tar.gz 409069 BLAKE2B 152dbe8ab2fee3964dc8cc714a5ba48c71b5994c77d1e20683bcf028483aca22d5be5772e72d056cfd3d1f59562b447366d61fc35a2b67d545f069a8f7975e84 SHA512 7bb3bf2d456c0d22325444e641961c34eaddcddf50c97ee9f5b5c8755232cf1b65a315258403b40bb7dcad15c4f9b6b73ab0eb607525a48a65f52406969eca04
diff --git a/dev-python/astroid/astroid-2.11.5.ebuild b/dev-python/astroid/astroid-2.11.5.ebuild
new file mode 100644
index 000000000000..4de05c0ea184
--- /dev/null
+++ b/dev-python/astroid/astroid-2.11.5.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Abstract Syntax Tree for logilab packages"
+HOMEPAGE="
+ https://github.com/PyCQA/astroid/
+ https://pypi.org/project/astroid/"
+SRC_URI="
+ https://github.com/PyCQA/astroid/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Version specified in __pkginfo__.py.
+RDEPEND="
+ >=dev-python/lazy-object-proxy-1.4.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.10[${PYTHON_USEDEP}]
+ <dev-python/wrapt-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # no clue why it's broken
+ tests/unittest_modutils.py::GetModulePartTest::test_known_values_get_builtin_module_part
+ tests/unittest_brain_dataclasses.py::test_pydantic_field
+ tests/unittest_regrtest.py::NonRegressionTests::test_numpy_distutils
+ # some problem with warnings (our options?)
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_one_arg
+ tests/unittest_decorators.py::TestDeprecationDecorators::test_deprecated_default_argument_values_two_args
+ tests/unittest_scoped_nodes.py::test_deprecation_of_doc_attribute
+ )
+
+ # Faker causes sys.path_importer_cache keys to be overwritten
+ # with PosixPaths
+ epytest -p no:faker
+}
diff --git a/dev-python/booleanOperations/booleanOperations-0.9.0-r1.ebuild b/dev-python/booleanOperations/booleanOperations-0.9.0-r1.ebuild
index 225c35d27e0f..e142bec64f60 100644
--- a/dev-python/booleanOperations/booleanOperations-0.9.0-r1.ebuild
+++ b/dev-python/booleanOperations/booleanOperations-0.9.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -12,7 +12,7 @@ SRC_URI="https://github.com/typemytype/booleanOperations/archive/${PV}.tar.gz ->
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
IUSE=""
DEPEND=""
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 674316a42001..289a6b36ec73 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -6,3 +6,4 @@ DIST boto3-1.22.4.tar.gz 495554 BLAKE2B 4c06e2101bcc96e4fab7e088f8593c7b1cfd2b07
DIST boto3-1.22.7.tar.gz 496523 BLAKE2B 400370268e51b229bd3c465ccc43df93b713e3088baf76cbb7367cdc75b8374b787fee635cc921b431d5e1471a60a990d57a306d8ebdb14f0c462f211b323f99 SHA512 a7b56723a0fd692496a4e397ca29139f0813bfcea365877900441f01f38e5fd15d20a1642a5717940994bdfc840540d38b9a594e2510ab070ae62fadf9b4958b
DIST boto3-1.22.8.tar.gz 496856 BLAKE2B c7707eae7a5966dbe04e86c35270674f532286d3fbed46580836729988e55cdeba872496de750af89de6a7afdc6b19bbe4f8b9025580dc9b825cd04a87530b21 SHA512 43498179a59c2a1c9401f0629fbf0f3ff1dd51d2208ade828ff283b44be28fd539af68d4fb274e5e8c6c01bd03699872cd1a81d006f4c929dcdbf7227f77416f
DIST boto3-1.22.9.tar.gz 497262 BLAKE2B c3fad6d556c62403578347600f2781b5fbf34a5ba975b596878f892cd1981bd06e25e50e4c67e5b5b27d6a0fec3aa8af0ea6e30a38277dcf1ae157719d95b3c5 SHA512 f32d6b9b2a8f2d6fcf975446f2c3530a8ba29dc8a3d55ed7b675bc7fb68694c3e6e1f0c54c3f6a715923f9c10268c7db04d897b73add7098f0e43062d2f28775
+DIST boto3-1.23.0.tar.gz 499085 BLAKE2B d606370e274564f909be46cfac838212de3213fd8407f1f2ac26afc3287feaa4aec8bf25ac6db4f1058739b2cbefc99c8e16c9dd0c12a5bdeaacf4700e9b0015 SHA512 c44237239cadb98f257796e152b13514839d2003d2a8157bf5f8a41c726401a3e248ff021ccfcd3e6b8099939744fb309c6f1ba342ff066e84632f1ac97dbaf8
diff --git a/dev-python/boto3/boto3-1.23.0.ebuild b/dev-python/boto3/boto3-1.23.0.ebuild
new file mode 100644
index 000000000000..6e54ecb92f37
--- /dev/null
+++ b/dev-python/boto3/boto3-1.23.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 7065171883cc..721e54721f43 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -6,3 +6,4 @@ DIST botocore-1.25.4.tar.gz 8955210 BLAKE2B 50880e9d7f57e4f3b8662625a64e9470eaf8
DIST botocore-1.25.7.tar.gz 8961319 BLAKE2B 1d22e3cd625252f1e6c6b13b9317750b48765150006ca0b632fd15aa6f31079855a1b6c7201cbed0ebfc7147a87389e1a4445d0736829554f8063b68944107cf SHA512 a22a35a1de87aff2efa7b4b5f478e44be7ce2eadf0b7da43af2a0de9ba315a9b75ac59da29a8f10ed15bbf6ff4d76d904407f95a7f8f08049c546450bd6c7c4d
DIST botocore-1.25.8.tar.gz 8961194 BLAKE2B 4a13f5b01352ff0cb8932431e9431229a73fe922c2719ee571fa26ed55faa0315e0bdd561dcf2069748d13c809c7c5b7e2a35051d5d8bbd498677658b69ff454 SHA512 bc78c24629308d4d8cb4190646b7f465713a5462c54ff0946fdbcfa8b87951fa337a2f8f97bbd27991a79da03d140b890f2b021f865c7550b791d2fbb95282a1
DIST botocore-1.25.9.tar.gz 8962451 BLAKE2B 5930499f514d5e9b9f0fa0c87a2461071a0432bb3957779a4669448bd7b34e94a5339598703419f36c01e505c8487217a4f525ce63832bc97ad35ef584ef45f3 SHA512 533c5ff383e53aa2b00a83b182207e9dd2d40ea000c7a0f1e74e30989c6c15f54fd26eb67375ceeb90c1a6ab158bda7de75ac40fe6b14614209ebb7063b9e2a1
+DIST botocore-1.26.0.tar.gz 8968864 BLAKE2B fc07441c4a759273a1abe6826048082b0e2ce38964de507a9091d5898d998ffb30e9bab835c9a6be2d3d01c15813230fda3a1d0457c5e7aa8573fc262cd9e4d4 SHA512 2bc8cd2c7db5549fa1f8f1364d42a4a6463b1fc8d0a80cd5026ec5f765b2a02108274eb33a6d5d00b3bb07a30351b458e1829b547c07134420a6aed343526990
diff --git a/dev-python/botocore/botocore-1.26.0.ebuild b/dev-python/botocore/botocore-1.26.0.ebuild
new file mode 100644
index 000000000000..f5cc64418e9a
--- /dev/null
+++ b/dev-python/botocore/botocore-1.26.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
+)
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/bottle/bottle-0.12.19-r1.ebuild b/dev-python/bottle/bottle-0.12.19-r1.ebuild
index 9f5746ba7655..499f17eda4f6 100644
--- a/dev-python/bottle/bottle-0.12.19-r1.ebuild
+++ b/dev-python/bottle/bottle-0.12.19-r1.ebuild
@@ -18,7 +18,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index dda121f4c921..e3cda892df25 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,2 +1,3 @@
DIST cfn-lint-0.59.0.tar.gz 9004743 BLAKE2B e778c1081e45dacc813f8a4ae7726eb929fabcdbfaafcbbc5f0d925cfe32773851366c9488363728ae42349cbe899a6cacd114940ee8d76dc284b30ea87fe19a SHA512 e8e9d0fb1f366c49f8a008000a808ec4b6c4299ff3c9650229619d8e48f1812709ecd54274163d8bd389c6823f20accd7d31f6147bec926ec233ede3ee51ee10
DIST cfn-lint-0.59.1.tar.gz 9065067 BLAKE2B 63fc591f7ed60eed2ef7fa1e9ea212e3e8569cfd20dec8bb8505dbfb8e96ee8f8ab6136d88de58b2db8823675946dc99b38adeb3b5c784d165083e1353100b00 SHA512 a08b4bf4dc8e7ab41bb72eb9309ca4f03eed3b6f5c31b3876dc9d08610312377a7c229de883c287e7e5ed6597f8eada79a111882785888e43b0ff20160e39fe0
+DIST cfn-lint-0.60.0.tar.gz 9127890 BLAKE2B f3e1e99f4657cad13037a74e94cca53548ecfb5bd41c11f8dc82c5fe962d7dc87b7a62aeaa12bc7012a11472736d9026fa51a7e7bc39e67b062a4e8449dd0eb6 SHA512 5eb0ecd51a2d845bad52e2aa7decc6ff7d28d008bc63aa1419ba122bca6df56b5689cb91e669384ca98418537bd36e460f19fb9dfd96e718260d29e228ea824e
diff --git a/dev-python/cfn-lint/cfn-lint-0.60.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.60.0.ebuild
new file mode 100644
index 000000000000..abdaca011e09
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.60.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+SRC_URI="
+ https://github.com/aws-cloudformation/cfn-lint/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.45.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema_to_python-1.2.3[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/sarif_om-1.0.4[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_2
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/defcon/defcon-0.10.1.ebuild b/dev-python/defcon/defcon-0.10.1.ebuild
index 175497211cb7..65787ad803ee 100644
--- a/dev-python/defcon/defcon-0.10.1.ebuild
+++ b/dev-python/defcon/defcon-0.10.1.ebuild
@@ -14,7 +14,7 @@ SRC_URI="https://github.com/robotools/defcon/archive/${PV}.tar.gz -> ${P}.tar.gz
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
RDEPEND="
>=dev-python/fonttools-4.28.5[${PYTHON_USEDEP}]
diff --git a/dev-python/docutils/Manifest b/dev-python/docutils/Manifest
index 9d065584ec16..c8668c1751d2 100644
--- a/dev-python/docutils/Manifest
+++ b/dev-python/docutils/Manifest
@@ -1,3 +1,2 @@
-DIST docutils-0.16.tar.gz 1962041 BLAKE2B 64d045d43433e944686b5d9077de0b544d49d041adf398f9b66612db432860853df4a84f4c4b44461789b3039f83e3847547062b2f5bc5d2bde3a0f1ffc9ffba SHA512 4e0c6662924cac6b8f28bb77a4f50eafd637c1083990a23dbd905d8a05362a18dae96e63408ed43b595b693ca755c7961d1282129d3215ed3774af0dddcc0466
DIST docutils-0.17.1.tar.gz 2016138 BLAKE2B aa0b6525ba2e3eaebc17010806952ed5f40919876fcb813f50cc05b628dfd22e6073a9a4b2bfe989089ae68d9b7111ae3a97dda2bde5c0536f8fb76c0942fe29 SHA512 5ec2087116bd5356fdffc54f07f6b0355aac5fa9d6caeefa77e8d201fd4706c0d419193c4d9a3964ae493da3091fe2c7dc36b74f81a1e1b9282173658b06e71b
DIST docutils-0.18.1.tar.gz 2043249 BLAKE2B 3959199236baade9601d61c3f6d7b6f840fbefdd46d9ea05869fde2cd2c800356a01faba891f51e220c85e66f3029f49f616f2046b85041b674c64825a4242ec SHA512 44404a6cc9d4c1e79c73a6ffee2898e459c9925ab9661e5d41394e13b3d861334cf0c5efcd18e87eb03041374e326cfd00539a6b2ec5979678889e8a536c9542
diff --git a/dev-python/docutils/docutils-0.17.1-r1.ebuild b/dev-python/docutils/docutils-0.17.1-r1.ebuild
new file mode 100644
index 000000000000..202091ae30e8
--- /dev/null
+++ b/dev-python/docutils/docutils-0.17.1-r1.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+ https://docutils.sourceforge.io/
+ https://pypi.org/project/docutils/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD-2 GPL-3 public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}/docutils-0.18.1-py311.patch"
+)
+
+python_compile_all() {
+ # Generate html docs from reStructured text sources.
+
+ # Place html4css1.css in base directory to ensure that the generated reference to it is correct.
+ cp docutils/writers/html4css1/html4css1.css . || die
+
+ cd tools || die
+ "${EPYTHON}" buildhtml.py --input-encoding=utf-8 \
+ --stylesheet-path=../html4css1.css, --traceback ../docs || die
+}
+
+src_test() {
+ cd test || die
+ distutils-r1_src_test
+}
+
+python_test() {
+ "${EPYTHON}" alltests.py -v || die "Testing failed with ${EPYTHON}"
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # Install tools.
+ python_doscript tools/{buildhtml,quicktest}.py
+}
+
+install_txt_doc() {
+ local doc="${1}"
+ local dir="txt/$(dirname ${doc})"
+ docinto "${dir}"
+ dodoc "${doc}"
+}
+
+python_install_all() {
+ local DOCS=( *.txt )
+ local HTML_DOCS=( docs tools docutils/writers/html4css1/html4css1.css )
+
+ distutils-r1_python_install_all
+
+ local doc
+ while IFS= read -r -d '' doc; do
+ install_txt_doc "${doc}"
+ done < <(find docs tools -name '*.txt' -print0)
+}
diff --git a/dev-python/docutils/docutils-0.16-r1.ebuild b/dev-python/docutils/docutils-0.18.1-r1.ebuild
index 85ba84d1be26..c76c9436252f 100644
--- a/dev-python/docutils/docutils-0.16-r1.ebuild
+++ b/dev-python/docutils/docutils-0.18.1-r1.ebuild
@@ -1,28 +1,33 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
+DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
inherit distutils-r1
-DESCRIPTION="Python Documentation Utilities"
-HOMEPAGE="https://docutils.sourceforge.io/ https://pypi.org/project/docutils/"
-#SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+DESCRIPTION="Python Documentation Utilities (reference reStructuredText impl.)"
+HOMEPAGE="
+ https://docutils.sourceforge.io/
+ https://pypi.org/project/docutils/
+"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2 GPL-3 public-domain"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-IUSE=""
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
-BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
- dev-python/pygments[${PYTHON_USEDEP}]"
-RDEPEND="${DEPEND}"
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+"
PATCHES=(
- "${FILESDIR}"/${P}-tests.patch
+ "${FILESDIR}/${P}-py311.patch"
)
python_compile_all() {
diff --git a/dev-python/docutils/files/docutils-0.16-tests.patch b/dev-python/docutils/files/docutils-0.16-tests.patch
deleted file mode 100644
index 052578c727a4..000000000000
--- a/dev-python/docutils/files/docutils-0.16-tests.patch
+++ /dev/null
@@ -1,66 +0,0 @@
-Index: docutils/test/test_parsers/test_rst/test_directives/test_code.py
-===================================================================
---- docutils/test/test_parsers/test_rst/test_directives/test_code.py (revision 8494)
-+++ docutils/test/test_parsers/test_rst/test_directives/test_code.py (working copy)
-@@ -107,7 +107,7 @@
- <document source="test data">
- <literal_block classes="code python testclass" xml:space="preserve">
- \n\
-- <inline classes="keyword">
-+ <inline classes="name builtin">
- print
- <inline classes="punctuation">
- (
-@@ -167,7 +167,7 @@
- <inline classes="ln">
- 12 \n\
- \n\
-- <inline classes="keyword">
-+ <inline classes="name builtin">
- print
- <inline classes="punctuation">
- (
-Index: docutils/test/test_parsers/test_rst/test_directives/test_code_long.py
-===================================================================
---- docutils/test/test_parsers/test_rst/test_directives/test_code_long.py (revision 8494)
-+++ docutils/test/test_parsers/test_rst/test_directives/test_code_long.py (working copy)
-@@ -69,7 +69,7 @@
- <inline classes="ln">
- 12 \n\
- \n\
-- <inline classes="keyword">
-+ <inline classes="name builtin">
- print
- <inline classes="punctuation">
- (
-Index: docutils/test/test_parsers/test_rst/test_directives/test_tables.py
-===================================================================
---- docutils/test/test_parsers/test_rst/test_directives/test_tables.py (revision 8494)
-+++ docutils/test/test_parsers/test_rst/test_directives/test_tables.py (working copy)
-@@ -45,10 +45,11 @@
- # some error messages changed in Python 3.3, CPython has backported to 2.7.4,
- # PyPy has not
- csv_eod_error_str = 'unexpected end of data'
--if sys.version_info < (2,7,4) or platform.python_implementation() == 'PyPy':
-+if sys.version_info < (2,7,4) or (platform.python_implementation() == 'PyPy'
-+ and sys.version_info < (3,0)):
- csv_eod_error_str = 'newline inside string'
- # pypy adds a line number
--if sys.version_info >= (3, 0) and platform.python_implementation() == 'PyPy':
-+if platform.python_implementation() == 'PyPy':
- csv_eod_error_str = 'line 1: ' + csv_eod_error_str
- csv_unknown_url = "'bogus.csv'"
- if sys.version_info < (3, 0):
-Index: docutils/test/test_parsers/test_rst/test_interpreted.py
-===================================================================
---- docutils/test/test_parsers/test_rst/test_interpreted.py (revision 8494)
-+++ docutils/test/test_parsers/test_rst/test_interpreted.py (working copy)
-@@ -283,7 +283,7 @@
- <paragraph>
- Python code \n\
- <literal classes="code testclass python">
-- <inline classes="keyword">
-+ <inline classes="name builtin">
- print
- <inline classes="punctuation">
- (
diff --git a/dev-python/docutils/files/docutils-0.18.1-py311.patch b/dev-python/docutils/files/docutils-0.18.1-py311.patch
new file mode 100644
index 000000000000..878c6f1961db
--- /dev/null
+++ b/dev-python/docutils/files/docutils-0.18.1-py311.patch
@@ -0,0 +1,135 @@
+Combination of:
+http://svn.code.sf.net/p/docutils/code/trunk@8910
+http://svn.code.sf.net/p/docutils/code/trunk@8909
+
+diff --git a/test/DocutilsTestSupport.py b/test/DocutilsTestSupport.py
+index 592d3f9df..e1f33aa7a 100644
+--- a/test/DocutilsTestSupport.py
++++ b/test/DocutilsTestSupport.py
+@@ -819,6 +819,7 @@ def exception_data(func, *args, **kwds):
+ except Exception as detail:
+ return (detail, detail.args,
+ '%s: %s' % (detail.__class__.__name__, detail))
++ return None, [], "No exception"
+
+
+ def _format_str(*args):
+diff --git a/test/test_parsers/test_rst/test_directives/test_tables.py b/test/test_parsers/test_rst/test_directives/test_tables.py
+index 07be0122f..73724ed7e 100755
+--- a/test/test_parsers/test_rst/test_directives/test_tables.py
++++ b/test/test_parsers/test_rst/test_directives/test_tables.py
+@@ -65,6 +65,92 @@ def null_bytes():
+ next(reader)
+
+ null_bytes_exception = DocutilsTestSupport.exception_data(null_bytes)[0]
++# Null bytes are valid in Python 3.11+:
++if null_bytes_exception is None:
++ bad_encoding_result = """\
++<document source="test data">
++ <table>
++ <title>
++ bad encoding
++ <tgroup cols="4">
++ <colspec colwidth="25">
++ <colspec colwidth="25">
++ <colspec colwidth="25">
++ <colspec colwidth="25">
++ <tbody>
++ <row>
++ <entry>
++ <paragraph>
++ \xfe\xff"Treat"
++ <entry>
++ <paragraph>
++ "Quantity"
++ <entry>
++ <paragraph>
++ "Description"
++ <entry>
++ <row>
++ <entry>
++ <paragraph>
++ "Albatr\u00b0\u00df"
++ <entry>
++ <paragraph>
++ 2.99
++ <entry>
++ <paragraph>
++ "\u00a1Ona\x03\xc3\x03\xc4\x03\xb9\x03\xba!"
++ <entry>
++ <row>
++ <entry>
++ <paragraph>
++ "CrunchyFrog"
++ <entry>
++ <paragraph>
++ 1.49
++ <entry>
++ <paragraph>
++ "Ifwetooktheb\u00f6nesout
++ <entry>
++ <paragraph>
++ itwouldn\x20\x19tbe
++ <row>
++ <entry>
++ <paragraph>
++ crunchy
++ <entry>
++ <paragraph>
++ nowwouldit?"
++ <entry>
++ <entry>
++ <row>
++ <entry>
++ <paragraph>
++ "GannetRipple"
++ <entry>
++ <paragraph>
++ 1.99
++ <entry>
++ <paragraph>
++ "\xbfOna\x03\xc3\x03\xc4\x03\xb9\x03\xba?"
++ <entry>
++ <paragraph>
++ (7- and 8-bit text encoded as UTF-16 has lots of null/zero bytes.)
++"""
++else:
++ bad_encoding_result = """\
++<document source="test data">
++ <system_message level="3" line="1" source="test data" type="ERROR">
++ <paragraph>
++ Error with CSV data in "csv-table" directive:
++ %s
++ <literal_block xml:space="preserve">
++ .. csv-table:: bad encoding
++ :file: %s
++ :encoding: latin-1
++ <paragraph>
++ (7- and 8-bit text encoded as UTF-16 has lots of null/zero bytes.)
++""" % (null_bytes_exception, utf_16_csv)
++
+
+ totest = {}
+
+@@ -1031,19 +1117,8 @@ u"""\
+
+ (7- and 8-bit text encoded as UTF-16 has lots of null/zero bytes.)
+ """ % utf_16_csv,
+-"""\
+-<document source="test data">
+- <system_message level="3" line="1" source="test data" type="ERROR">
+- <paragraph>
+- Error with CSV data in "csv-table" directive:
+- %s
+- <literal_block xml:space="preserve">
+- .. csv-table:: bad encoding
+- :file: %s
+- :encoding: latin-1
+- <paragraph>
+- (7- and 8-bit text encoded as UTF-16 has lots of null/zero bytes.)
+-""" % (null_bytes_exception, utf_16_csv)],
++bad_encoding_result
++],
+ ["""\
+ .. csv-table:: good encoding
+ :file: %s
diff --git a/dev-python/fasteners/fasteners-0.17.3.ebuild b/dev-python/fasteners/fasteners-0.17.3.ebuild
index 991eab77a885..8fa3716d6d1d 100644
--- a/dev-python/fasteners/fasteners-0.17.3.ebuild
+++ b/dev-python/fasteners/fasteners-0.17.3.ebuild
@@ -15,7 +15,7 @@ SRC_URI="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos"
BDEPEND="
test? (
diff --git a/dev-python/filelock/Manifest b/dev-python/filelock/Manifest
index 9d0b6d61eed2..818610c1dd53 100644
--- a/dev-python/filelock/Manifest
+++ b/dev-python/filelock/Manifest
@@ -1 +1,2 @@
DIST py-filelock-3.6.0.tar.gz 204238 BLAKE2B f65a6e8ca8645dbeaf5ebbad00a8001cd88065da997097ef2ce74b5eee4dabfaf44d53a240498e82905589943f045422b44776c3b8de3077656a3b9612396156 SHA512 f55ad90d79e90eb5a915afffecc632566456604a62b89fb13304c5812e05a34c508c863e76246a254acd98f55930d3179b0908a06d1e5a203d578a826a048ae2
+DIST py-filelock-3.7.0.tar.gz 204366 BLAKE2B 9ef0a488603a5d210a232e472d2bcdce7f867b7b3fdb8dbe167dde54cd8c7085561f09d5a746ad7565ae7853495bd84c0b14cfa136a9d466f18f037ea0b9e8d1 SHA512 1b01a25a1ec194be1727a7245d6bada3a5f6e38bc16c0c78793ec0cf3dcdee6cc6b5c04fc74ae3687afd354379c73e189f7f3a8964853b8533a489ed2a0c6a04
diff --git a/dev-python/filelock/filelock-3.7.0.ebuild b/dev-python/filelock/filelock-3.7.0.ebuild
new file mode 100644
index 000000000000..c66c539a919e
--- /dev/null
+++ b/dev-python/filelock/filelock-3.7.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2018-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+MY_P=py-filelock-${PV}
+DESCRIPTION="A platform independent file lock for Python"
+HOMEPAGE="
+ https://github.com/tox-dev/py-filelock/
+ https://pypi.org/project/filelock/
+"
+SRC_URI="
+ https://github.com/tox-dev/py-filelock/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz
+"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Unlicense"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/imagesize/imagesize-1.3.0-r1.ebuild b/dev-python/imagesize/imagesize-1.3.0-r1.ebuild
new file mode 100644
index 000000000000..21729c5120ea
--- /dev/null
+++ b/dev-python/imagesize/imagesize-1.3.0-r1.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Pure Python module for getting image size from png/jpeg/jpeg2000/gif files"
+HOMEPAGE="https://github.com/shibukawa/imagesize_py"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires Internet
+ test/test_get_filelike.py::test_get_filelike
+)
diff --git a/dev-python/moto/Manifest b/dev-python/moto/Manifest
index 6ef9c77b9256..26ca0a87a171 100644
--- a/dev-python/moto/Manifest
+++ b/dev-python/moto/Manifest
@@ -2,3 +2,4 @@ DIST moto-3.1.5.tar.gz 2282060 BLAKE2B f7b2cbf1de96b6d96b334e5b51bcdf69fb9645261
DIST moto-3.1.6.tar.gz 2273226 BLAKE2B 91966fd315b3e5b4904ecc0e17c716bb47ecb6b644ccaad2cd52fb92754b79af0edb11573fadfd40b8ae75c17bad3429b6e2c4801424c4f30fea32689cd790d1 SHA512 f97ca412910ec9a0cf6d7e28b2ff2f2bf6a3d142a091f65eb4ccf8d53ae9d5362cccdbd24d72083f2d9c6200a3f6e400cca32c16965731d0fbd22239f9866d59
DIST moto-3.1.7.tar.gz 2275858 BLAKE2B 7984da8df1ebf305ae11f16179612854b630e20eaeb834d85be4063becf73d0615183c93d242e162c7520225fee9eca149a9756fd507b9aaf8e19242fee3f25e SHA512 fed1c97515bed3640f6959cfba417ed27771d77a1b43e94877520ed582542eb61cc4f7d88c791834425b1a1614641a2c178f57787440af545ecf5b03fd6649f2
DIST moto-3.1.8.tar.gz 2295468 BLAKE2B 0417e08d730d840f552c171d3ee7cfc07b395ffaa27b811c8f43426aebca6969b29111d481b9eb6d7fe1d4cadb4296027354b908512f03e0c45e2d9175b4376f SHA512 357b5841601f39732aa244d8ecd062b6812eed3d41cbf3a08138d826de5803cd631adc5b9fe2cae2d1e7553951906e49a8af464f97dfd5683f8099e475ca8b94
+DIST moto-3.1.9.tar.gz 2308059 BLAKE2B 85f5c084fc81d74e8297ab0a78e3823bb6e98b1d4fdb70b802dabfa3ba11475670c3bfda27f48069e5298691a8ca71c98acf156c3b15ab79ff85555545c7596e SHA512 600ec2042e5e6df5e3bbc9fafcaa32255568c35a2a127e4f093ecc9332a799b568002cb414e5c086f24795c4f8f510517bf00c29a9b6a38dd667807d04a18954
diff --git a/dev-python/moto/moto-3.1.9.ebuild b/dev-python/moto/moto-3.1.9.ebuild
new file mode 100644
index 000000000000..daf108f27229
--- /dev/null
+++ b/dev-python/moto/moto-3.1.9.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Mock library for boto"
+HOMEPAGE="https://github.com/spulec/moto"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-xray-sdk-python-0.93[${PYTHON_USEDEP}]
+ dev-python/boto[${PYTHON_USEDEP}]
+ dev-python/cfn-lint[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-3.3.1[${PYTHON_USEDEP}]
+ dev-python/cookies[${PYTHON_USEDEP}]
+ >=dev-python/docker-py-2.5.1[${PYTHON_USEDEP}]
+ >=dev-python/idna-2.5[${PYTHON_USEDEP}]
+ >=dev-python/jinja-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/jsondiff-1.1.2[${PYTHON_USEDEP}]
+ dev-python/boto3[${PYTHON_USEDEP}]
+ dev-python/botocore[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/flask-cors[${PYTHON_USEDEP}]
+ dev-python/more-itertools[${PYTHON_USEDEP}]
+ dev-python/pyparsing[${PYTHON_USEDEP}]
+ dev-python/pretty-yaml[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.1[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.1[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/python-jose[${PYTHON_USEDEP}]
+ dev-python/python-sshpubkeys[${PYTHON_USEDEP}]
+ >=dev-python/responses-0.9.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.5[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zipp[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/responses[${PYTHON_USEDEP}]
+ >=dev-python/sure-1.4.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_firehose/test_firehose_put.py::test_put_record_http_destination
+ tests/test_firehose/test_firehose_put.py::test_put_record_batch_http_destination
+ tests/test_swf/responses/test_decision_tasks.py::test_respond_decision_task_completed_with_schedule_activity_task_boto3
+ tests/test_swf/responses/test_timeouts.py::test_activity_task_heartbeat_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_decision_task_start_to_close_timeout_boto3
+ tests/test_swf/responses/test_timeouts.py::test_workflow_execution_start_to_close_timeout_boto3
+ # broken code (local variable used referenced before definition)
+ tests/test_appsync/test_appsync_schema.py
+ # Needs network (or docker?) but not marked as such, bug #807031
+ # TODO: report upstream
+ tests/test_batch/test_batch_jobs.py::test_terminate_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_pending_job
+ tests/test_batch/test_batch_jobs.py::test_cancel_running_job
+ tests/test_batch/test_batch_jobs.py::test_dependencies
+ tests/test_batch/test_batch_jobs.py::test_container_overrides
+ tests/test_cloudformation/test_cloudformation_custom_resources.py::test_create_custom_lambda_resource__verify_cfnresponse_failed
+ tests/test_cloudformation/test_cloudformation_stack_integration.py::test_lambda_function
+ tests/test_sqs/test_integration.py::test_invoke_function_from_sqs_exception
+ tests/test_sqs/test_sqs_integration.py::test_invoke_function_from_sqs_exception
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events0-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events1-ObjectCreated:Put]"
+ "tests/test_s3/test_s3_lambda_integration.py::test_objectcreated_put__invokes_lambda[match_events3-ObjectCreated:Put]"
+ )
+
+ # pytest-django causes freezegun try to mangle stuff inside django
+ # which fails when django is not really used
+ epytest -p no:django -m 'not network'
+}
diff --git a/dev-python/nototools/nototools-0.2.16.ebuild b/dev-python/nototools/nototools-0.2.16.ebuild
index 3120ff5325fa..a02690ed1452 100644
--- a/dev-python/nototools/nototools-0.2.16.ebuild
+++ b/dev-python/nototools/nototools-0.2.16.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -16,7 +16,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0 OFL-1.1"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
RDEPEND="
>=media-gfx/scour-0.37
diff --git a/dev-python/nuitka/nuitka-0.7.7.ebuild b/dev-python/nuitka/nuitka-0.7.7.ebuild
index b04c3289ee9e..05e5bf111cde 100644
--- a/dev-python/nuitka/nuitka-0.7.7.ebuild
+++ b/dev-python/nuitka/nuitka-0.7.7.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}/${P^}"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="~amd64 ~loong ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild b/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild
index 26be15c28989..c97843bbc371 100644
--- a/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild
+++ b/dev-python/pyclipper/pyclipper-1.3.0_p2.ebuild
@@ -13,7 +13,7 @@ S="${WORKDIR}/${P/_p/.post}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~ppc64 ~riscv x86"
+KEYWORDS="amd64 ~arm arm64 ~loong ~ppc64 ~riscv x86"
IUSE=""
BDEPEND="
diff --git a/dev-python/pydecomp/pydecomp-0.3-r3.ebuild b/dev-python/pydecomp/pydecomp-0.3-r3.ebuild
index 535fb5835280..2cb445da0e8c 100644
--- a/dev-python/pydecomp/pydecomp-0.3-r3.ebuild
+++ b/dev-python/pydecomp/pydecomp-0.3-r3.ebuild
@@ -14,7 +14,7 @@ if [[ ${PV} == "9999" ]] ; then
inherit git-r3
else
SRC_URI="https://dev.gentoo.org/~dolsen/releases/${PN}/pyDeComp-${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+ KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
S="${WORKDIR}/pyDeComp-${PV}"
fi
diff --git a/dev-python/pydecomp/pydecomp-9999.ebuild b/dev-python/pydecomp/pydecomp-9999.ebuild
index c634ba95abe2..1e8c13e75065 100644
--- a/dev-python/pydecomp/pydecomp-9999.ebuild
+++ b/dev-python/pydecomp/pydecomp-9999.ebuild
@@ -14,7 +14,7 @@ if [[ ${PV} == "9999" ]] ; then
inherit git-r3
else
SRC_URI="https://dev.gentoo.org/~dolsen/releases/${PN}/pyDeComp-${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
S="${WORKDIR}/pyDeComp-${PV}"
fi
diff --git a/dev-python/pylint/Manifest b/dev-python/pylint/Manifest
index a00f5866a4fe..6f79a3ad3589 100644
--- a/dev-python/pylint/Manifest
+++ b/dev-python/pylint/Manifest
@@ -1,3 +1,4 @@
DIST pylint-2.13.5.gh.tar.gz 1118551 BLAKE2B 70ee4254aa140aba16adfe67aeb896d9c455843dfa945d335b5ba48e85c9d2d8f057223bc74bd4c0c0bfa2d343a9f78e783705b885caaee6895fcddf7ce23ccb SHA512 e399239fbea58260b17f226dddb63f1e6a2f12cdd601a4e73913a169d23fe2b6085e776bf8144e2c5a555dfdc1b28a5818a4103969d504b638b6b41ee296d182
DIST pylint-2.13.7.gh.tar.gz 1120083 BLAKE2B c45d6ec65c11d3682bf3279969f3e45b827b2bbcebbfeb05a31df3a93bb943bf9643a5d467c1e2eebf717577032571a48db1ce84e1c81d72000808ec302aaf1b SHA512 ec0b2ef565239ab3e577c5c2d22c1c8df8b8bb0858c34b6606f649484d69a25c1f51ca61a3da66833d9a713e8a686dc32b940e574650577bdcc4e13d76acc2e5
DIST pylint-2.13.8.gh.tar.gz 1121081 BLAKE2B 06a0a5c3801318ca45073f04a631e0617b5803ce01fd3973fc96d350c38a988222d4b8b03f86c12c317f6f87db5b7b85d1c428373a17e51d1044b382a0d03c1d SHA512 8ab01a15da7d9b659aa11de3ee804e0ad54fefd549be468fe194f8ec66640f5ecbdeddec468c9fd76d1eea8006d60249b1abba59d5047774d22b7b461224695d
+DIST pylint-2.13.9.gh.tar.gz 1123216 BLAKE2B f80e88f565595b16bba650a009bfdd6d55efa65227898d145d4867c116c89c7ab5244c509382f0e9023404b4e46accb742334450ca7342394fb4d0abaccb8d03 SHA512 dcea90b1b1494d928f0b12dd2b50ee1d97a74efce18e0ef54ea02b52209a574977971e12db8f476edcf1bd646ca41c6a77bcf9a425c01af71bd29e54fd6c20b9
diff --git a/dev-python/pylint/pylint-2.13.9.ebuild b/dev-python/pylint/pylint-2.13.9.ebuild
new file mode 100644
index 000000000000..fa306b7dd0eb
--- /dev/null
+++ b/dev-python/pylint/pylint-2.13.9.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python code static checker"
+HOMEPAGE="
+ https://pypi.org/project/pylint/
+ https://github.com/PyCQA/pylint/
+"
+SRC_URI="
+ https://github.com/pycqa/pylint/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="examples"
+
+# Make sure to check https://github.com/PyCQA/pylint/blob/main/setup.cfg#L43 on bumps
+# Adjust dep bounds!
+RDEPEND="
+ <dev-python/astroid-2.12[${PYTHON_USEDEP}]
+ >=dev-python/astroid-2.11.5[${PYTHON_USEDEP}]
+ >=dev-python/dill-0.2[${PYTHON_USEDEP}]
+ >=dev-python/isort-4.2.5[${PYTHON_USEDEP}]
+ <dev-python/isort-6[${PYTHON_USEDEP}]
+ >=dev-python/mccabe-0.6[${PYTHON_USEDEP}]
+ <dev-python/mccabe-0.8[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/tomli-1.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ test? (
+ >=dev-python/GitPython-3[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.4.4-sphinx-theme.patch"
+)
+
+distutils_enable_sphinx doc --no-autodoc
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # No need to run the benchmarks
+ tests/benchmark/test_baseline_benchmarks.py
+
+ # TODO
+ 'tests/test_functional.py::test_functional[forgotten_debug_statement_py37]'
+ 'tests/test_functional.py::test_functional[dataclass_with_field]'
+ 'tests/test_functional.py::test_functional[no_name_in_module]'
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_error_msg
+ tests/checkers/unittest_typecheck.py::TestTypeChecker::test_nomember_on_c_extension_info_msg
+ )
+ # Specify the test directory explicitly to avoid import file mismatches
+ epytest tests
+}
+
+python_install_all() {
+ if use examples ; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ docinto examples
+ dodoc -r examples/.
+ fi
+
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-bugzilla/python-bugzilla-3.2.0-r1.ebuild b/dev-python/python-bugzilla/python-bugzilla-3.2.0-r1.ebuild
new file mode 100644
index 000000000000..542f1c84bffb
--- /dev/null
+++ b/dev-python/python-bugzilla/python-bugzilla-3.2.0-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A python module for interacting with Bugzilla over XMLRPC"
+HOMEPAGE="
+ https://github.com/python-bugzilla/python-bugzilla/
+ https://pypi.org/project/python-bugzilla/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="GPL-2+"
+SLOT="0"
+
+RDEPEND="
+ || (
+ dev-python/python-magic[${PYTHON_USEDEP}]
+ sys-apps/file[python,${PYTHON_USEDEP}]
+ )
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/python-ldap/Manifest b/dev-python/python-ldap/Manifest
index 99a3c3c496f9..86ce9bf4aa32 100644
--- a/dev-python/python-ldap/Manifest
+++ b/dev-python/python-ldap/Manifest
@@ -1 +1,2 @@
DIST python-ldap-3.4.0.tar.gz 376169 BLAKE2B f514ddb6267fd8c21a1c4595669921a1256a8087a3a272b3751636313e7d79de9d34f4213aa57128679dc5a93db4ef7a71f7f92894a1802deb8c2ca9dfd92fe2 SHA512 d10c10f1d416a0f67e7669c6c0b5460a3484bc31f4af471d581a9207689e5687c08d1ad78ba8d47e0ce0c35d24d79e4b848b4c503534f211a36c1b882bee3605
+DIST python-ldap-3.4.0_p20220420.tar.gz 377780 BLAKE2B 433178138587dc09bfe1e6a8e894c001baf6e07c76266ca9d7c56b279f9e9ca5a642528a5869a837a9ee5576a2cf17afdeea313b4a8bc930926397738d6a5daf SHA512 0dfe8ff4737a630a08c7cd4d94f30c78fd1e0558ffc0609439d95ef064b72aef9d4ec4cdc0d40aaf1fc46396bdc0cbbdf0bf3cf6bb5e94bf8a9e3083b9ba1bf4
diff --git a/dev-python/python-ldap/files/python-ldap-3.4.0-openldap-2.6.patch b/dev-python/python-ldap/files/python-ldap-3.4.0-openldap-2.6.patch
new file mode 100644
index 000000000000..0af86698f4bf
--- /dev/null
+++ b/dev-python/python-ldap/files/python-ldap-3.4.0-openldap-2.6.patch
@@ -0,0 +1,33 @@
+From 536a7671151e3070481736e5d6159987df920d8b Mon Sep 17 00:00:00 2001
+From: Simon Pichugin <spichugi@redhat.com>
+Date: Wed, 9 Feb 2022 16:06:14 -0800
+Subject: [PATCH] Always use 'ldap' library
+
+---
+ setup.py | 4 +++-
+ 1 file changed, 3 insertions(+), 1 deletion(-)
+
+diff --git a/setup.py b/setup.py
+index 119b571..851223e 100644
+--- a/setup.py
++++ b/setup.py
+@@ -37,6 +37,8 @@ if cfg.has_section('_ldap'):
+ for name in dir(LDAP_CLASS):
+ if cfg.has_option('_ldap', name):
+ setattr(LDAP_CLASS, name, cfg.get('_ldap', name).split())
++#-- Overwrite it as 'ldap' is the always correct library we have in Fedora 34+
++LDAP_CLASS.libs = ['ldap', 'lber']
+
+ for i in range(len(LDAP_CLASS.defines)):
+ LDAP_CLASS.defines[i]=((LDAP_CLASS.defines[i],None))
+@@ -132,7 +134,7 @@ setup(
+ extra_objects = LDAP_CLASS.extra_objects,
+ runtime_library_dirs = (not sys.platform.startswith("win"))*LDAP_CLASS.library_dirs,
+ define_macros = LDAP_CLASS.defines + \
+- ('ldap_r' in LDAP_CLASS.libs or 'oldap_r' in LDAP_CLASS.libs)*[('HAVE_LIBLDAP_R',None)] + \
++ ('ldap' in LDAP_CLASS.libs or 'oldap' in LDAP_CLASS.libs)*[('HAVE_LIBLDAP_R',None)] + \
+ ('sasl' in LDAP_CLASS.libs or 'sasl2' in LDAP_CLASS.libs or 'libsasl' in LDAP_CLASS.libs)*[('HAVE_SASL',None)] + \
+ ('ssl' in LDAP_CLASS.libs and 'crypto' in LDAP_CLASS.libs)*[('HAVE_TLS',None)] + \
+ [
+--
+2.31.1
diff --git a/dev-python/python-ldap/python-ldap-3.4.0-r1.ebuild b/dev-python/python-ldap/python-ldap-3.4.0-r1.ebuild
new file mode 100644
index 000000000000..d23ce38906ec
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.4.0-r1.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="
+ https://www.python-ldap.org/en/latest/
+ https://pypi.org/project/python-ldap/
+ https://github.com/python-ldap/python-ldap"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
+ inherit git-r3
+else
+ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x86-solaris"
+fi
+
+LICENSE="MIT PSF-2"
+SLOT="0"
+IUSE="examples sasl ssl"
+
+# < dep on openldap for bug #835637, ldap_r is gone
+RDEPEND="
+ >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+ >=net-nds/openldap-2.6:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+DEPEND="
+ >=net-nds/openldap-2.6:=[sasl?,ssl?]
+ sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+# Commit with this Patch from Fedora Rawhide
+# https://src.fedoraproject.org/rpms/python-ldap/c/a237d9b212bd1581e07f4f1a8f54c26a7190843c?branch=rawhide
+# Workaround till this PR is merged upstream
+# https://github.com/python-ldap/python-ldap/pull/458
+PATCHES=( "${FILESDIR}"/${P}-openldap-2.6.patch )
+
+python_prepare_all() {
+ # The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+ # https://github.com/pypa/setuptools_scm/issues/228
+ if [[ ${PV} == *9999* ]]; then
+ rm -r .git || die
+ fi
+
+ if ! use sasl; then
+ sed -i 's/HAVE_SASL//g' setup.cfg || die
+ fi
+ if ! use ssl; then
+ sed -i 's/HAVE_TLS//g' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Run all tests which don't require slapd
+ local EPYTEST_IGNORE=(
+ t_bind.py
+ t_cext.py
+ t_edit.py
+ t_ldapobject.py
+ t_ldap_options.py
+ t_ldap_sasl.py
+ t_ldap_schema_subentry.py
+ t_ldap_syncrepl.py
+ t_slapdobject.py
+ )
+ pushd Tests >/dev/null || die
+ epytest
+ popd > /dev/null || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-ldap/python-ldap-3.4.0_p20220420.ebuild b/dev-python/python-ldap/python-ldap-3.4.0_p20220420.ebuild
new file mode 100644
index 000000000000..49ee68600dec
--- /dev/null
+++ b/dev-python/python-ldap/python-ldap-3.4.0_p20220420.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Various LDAP-related Python modules"
+HOMEPAGE="https://www.python-ldap.org/en/latest/
+ https://pypi.org/project/python-ldap/
+ https://github.com/python-ldap/python-ldap"
+if [[ ${PV} == *9999* ]]; then
+ EGIT_REPO_URI="https://github.com/python-ldap/python-ldap.git"
+ inherit git-r3
+else
+ # Snapshot for various new OpenLDAP fixes, bug #835637
+ # (There were a bunch of followup commits and general other
+ # serious bugfixes we want.)
+ MY_COMMIT="7f30c4721ea2ca4373ed7860e6467781f0afa758"
+
+ #SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+ SRC_URI="https://github.com/python-ldap/python-ldap/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
+ S="${WORKDIR}"/${PN}-${MY_COMMIT}
+
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x86-solaris"
+fi
+
+LICENSE="MIT PSF-2"
+SLOT="0"
+IUSE="examples sasl ssl"
+
+RDEPEND="
+ >=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
+ net-nds/openldap:=[sasl?,ssl?]
+"
+# We do not link against cyrus-sasl but we use some
+# of its headers during the build.
+DEPEND="
+ net-nds/openldap:=[sasl?,ssl?]
+ sasl? ( >=dev-libs/cyrus-sasl-2.1 )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx Doc
+
+python_prepare_all() {
+ # The live ebuild won't compile if setuptools_scm < 1.16.2 is installed
+ # https://github.com/pypa/setuptools_scm/issues/228
+ if [[ ${PV} == *9999* ]]; then
+ rm -r .git || die
+ fi
+
+ if ! use sasl; then
+ sed -i 's/HAVE_SASL//g' setup.cfg || die
+ fi
+ if ! use ssl; then
+ sed -i 's/HAVE_TLS//g' setup.cfg || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ # Run all tests which don't require slapd
+ local EPYTEST_IGNORE=(
+ t_bind.py
+ t_cext.py
+ t_edit.py
+ t_ldapobject.py
+ t_ldap_options.py
+ t_ldap_sasl.py
+ t_ldap_schema_subentry.py
+ t_ldap_syncrepl.py
+ t_slapdobject.py
+ )
+ pushd Tests >/dev/null || die
+ epytest
+ popd > /dev/null || die
+}
+
+python_install() {
+ distutils-r1_python_install
+ python_optimize
+}
+
+python_install_all() {
+ if use examples; then
+ docinto examples
+ dodoc -r Demo/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+ distutils-r1_python_install_all
+}
diff --git a/dev-python/python-ldap/python-ldap-9999.ebuild b/dev-python/python-ldap/python-ldap-9999.ebuild
index c5a44fe75172..0b0d692b984a 100644
--- a/dev-python/python-ldap/python-ldap-9999.ebuild
+++ b/dev-python/python-ldap/python-ldap-9999.ebuild
@@ -2,8 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
inherit distutils-r1
DESCRIPTION="Various LDAP-related Python modules"
@@ -22,16 +23,15 @@ LICENSE="MIT PSF-2"
SLOT="0"
IUSE="examples sasl ssl"
-# < dep on openldap for bug #835637, ldap_r is gone
RDEPEND="
>=dev-python/pyasn1-0.3.7[${PYTHON_USEDEP}]
>=dev-python/pyasn1-modules-0.1.5[${PYTHON_USEDEP}]
- <net-nds/openldap-2.6:=[sasl?,ssl?]
+ net-nds/openldap:=[sasl?,ssl?]
"
# We do not link against cyrus-sasl but we use some
# of its headers during the build.
DEPEND="
- <net-nds/openldap-2.6:=[sasl?,ssl?]
+ net-nds/openldap:=[sasl?,ssl?]
sasl? ( >=dev-libs/cyrus-sasl-2.1 )
"
diff --git a/dev-python/python-magic/python-magic-0.4.25.ebuild b/dev-python/python-magic/python-magic-0.4.25.ebuild
index 33fc3ecdfe7e..f7b867edc065 100644
--- a/dev-python/python-magic/python-magic-0.4.25.ebuild
+++ b/dev-python/python-magic/python-magic-0.4.25.ebuild
@@ -5,21 +5,28 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
inherit distutils-r1
DESCRIPTION="Access the libmagic file type identification library"
-HOMEPAGE="https://github.com/ahupp/python-magic"
+HOMEPAGE="
+ https://github.com/ahupp/python-magic/
+ https://pypi.org/project/python-magic/
+"
SRC_URI="
https://github.com/ahupp/python-magic/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz"
+ -> ${P}.gh.tar.gz
+"
LICENSE="BSD-2 MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux"
+KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ppc64 ~riscv sparc x86 ~amd64-linux"
IUSE="test"
RESTRICT="!test? ( test )"
-RDEPEND="sys-apps/file[-python]"
+RDEPEND="
+ sys-apps/file[-python]
+"
BDEPEND="
test? ( sys-apps/file )
"
diff --git a/dev-python/snowballstemmer/snowballstemmer-2.2.0-r1.ebuild b/dev-python/snowballstemmer/snowballstemmer-2.2.0-r1.ebuild
new file mode 100644
index 000000000000..4d6b0ba916a1
--- /dev/null
+++ b/dev-python/snowballstemmer/snowballstemmer-2.2.0-r1.ebuild
@@ -0,0 +1,18 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Stemmer algorithms generated from Snowball algorithms"
+HOMEPAGE="https://snowballstem.org/
+ https://github.com/snowballstem/snowball
+ https://pypi.org/project/snowballstemmer/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos ~x64-solaris"
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.36.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.36.ebuild
index 5f634c17bc52..c9e77c3a49ad 100644
--- a/dev-python/sqlalchemy/sqlalchemy-1.4.36.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.36.ebuild
@@ -52,6 +52,10 @@ python_test() {
[[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
)
+ [[ ${EPYTHON} == python3.11 ]] && EPYTEST_DESELECT+=(
+ # https://github.com/sqlalchemy/sqlalchemy/issues/8019
+ test/engine/test_logging.py::TransactionContextLoggingTest::test_log_messages_have_correct_metadata_echo
+ )
if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
EPYTEST_DESELECT+=(
test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
diff --git a/dev-python/sure/sure-2.0.0-r1.ebuild b/dev-python/sure/sure-2.0.0-r1.ebuild
new file mode 100644
index 000000000000..6c4512528719
--- /dev/null
+++ b/dev-python/sure/sure-2.0.0-r1.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="idiomatic assertion toolkit with human-friendly failure messages"
+HOMEPAGE="
+ https://github.com/gabrielfalcao/sure/
+ https://pypi.org/project/sure/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # requires dev-python/nose
+ tests/test_old_api.py
+)
+
+src_prepare() {
+ sed -i -e 's:--cov=sure::' setup.cfg || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/whoosh/whoosh-2.7.4-r2.ebuild b/dev-python/whoosh/whoosh-2.7.4-r2.ebuild
new file mode 100644
index 000000000000..a8c873b09b5d
--- /dev/null
+++ b/dev-python/whoosh/whoosh-2.7.4-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Fast, pure-Python full text indexing, search and spell checking library"
+HOMEPAGE="https://pypi.org/project/Whoosh/"
+SRC_URI="mirror://pypi/W/${PN^}/${P^}.tar.gz"
+S="${WORKDIR}/${P^}"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-solaris"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.7.4-tests-specify-utf8.patch
+)
+
+distutils_enable_sphinx docs/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # (backport from upstream)
+ sed -i -e '/cmdclass/s:pytest:PyTest:' setup.py || die
+ # fix old section name
+ sed -i -e 's@\[pytest\]@[tool:pytest]@' setup.cfg || die
+ # TODO: broken?
+ sed -i -e 's:test_minimize_dfa:_&:' tests/test_automata.py || die
+
+ distutils-r1_python_prepare_all
+}